Debian Bug report logs - #362995
ITA: unalz -- The utility used for decompressing alzip

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Yooseong Yang <yooseong@debian.org>

Date: Mon, 17 Apr 2006 00:33:04 UTC

Owned by: Changwoo Ryu <cwryu@debian.org>

Severity: normal

Fixed in version unalz/0.61-1

Done: Changwoo Ryu <cwryu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#362995; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Yooseong Yang <yooseong@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yooseong Yang <yooseong@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: unalz -- The utility used for decompressing alzip format file.
Date: Mon, 17 Apr 2006 09:27:18 +0900
Package: wnpp
Severity: normal


I intend to orphan the unalz package because I can't
mantain this package.

The package description is:
 unalz tool is the utility used for decompressing alzip format file.
 It mainly operates on files with names ending in '.alz'.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.4.26
Locale: LANG=ko_KR.eucKR, LC_CTYPE=ko_KR.eucKR (charmap=EUC-KR) (ignored: LC_ALL set to ko_KR.eucKR)



Changed Bug title to `ITA: unalz -- The utility used for decompressing alzip' from `O: unalz -- The utility used for decompressing alzip format file.'. Request was from "LIU Qi" <liuqi82@gmail.com> to control@bugs.debian.org. (Thu, 05 Jul 2007 08:54:02 GMT) Full text and rfc822 format available.

Owner recorded as "LIU Qi" <liuqi82@gmail.com>. Request was from "LIU Qi" <liuqi82@gmail.com> to control@bugs.debian.org. (Thu, 05 Jul 2007 08:54:03 GMT) Full text and rfc822 format available.

Changed Bug title to `ITA: unalz -- The utility used for decompressing alzip' from `ITA: unalz -- The utility used for decompressing alzip'. Request was from "LIU Qi" <liuqi82@gmail.com> to control@bugs.debian.org. (Thu, 05 Jul 2007 09:03:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "LIU Qi" <liuqi82@gmail.com>:
Bug#362995; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Gürkan Sengün <gurkan@linuks.mine.nu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "LIU Qi" <liuqi82@gmail.com>. Full text and rfc822 format available.

Message #16 received at 362995@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@linuks.mine.nu>
To: 362995@bugs.debian.org, liuqi82@gmail.com
Subject: ITA: unalz -- The utility used for decompressing alzip
Date: Thu, 15 Nov 2007 12:37:58 +0100
> retitle 362995 ITA: unalz -- The utility used for decompressing alzip
> format file

Hello

Do you still work on this package? What is the status?

Yours,
Gürkan




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "LIU Qi" <liuqi82@gmail.com>:
Bug#362995; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "LIU Qi" <liuqi82@gmail.com>. Full text and rfc822 format available.

Message #21 received at 362995@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Gürkan Sengün <gurkan@linuks.mine.nu>, 362995@bugs.debian.org
Cc: liuqi82@gmail.com
Subject: Re: Bug#362995: ITA: unalz -- The utility used for decompressing alzip
Date: Wed, 19 Dec 2007 13:01:49 +0100
On 15/11/07 at 12:37 +0100, Gürkan Sengün wrote:
> > retitle 362995 ITA: unalz -- The utility used for decompressing alzip
> > format file
>
> Hello
>
> Do you still work on this package? What is the status?

Hi Qi,

Have you made some progress on this adoption? (Please don't forget to
Cc the bug number when you reply)
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#362995; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "LIU Qi" <liuqi82@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #26 received at 362995@bugs.debian.org (full text, mbox):

From: "LIU Qi" <liuqi82@gmail.com>
To: "Lucas Nussbaum" <lucas@lucas-nussbaum.net>
Cc: "Gürkan Sengün" <gurkan@linuks.mine.nu>, 362995@bugs.debian.org
Subject: Re: Bug#362995: ITA: unalz -- The utility used for decompressing alzip
Date: Wed, 19 Dec 2007 20:55:46 +0800
I have uploaded the package to
http://mentors.debian.net/debian/pool/main/u/unalz/
and I need a mentor, but I still can not find one now. :-(

2007/12/19, Lucas Nussbaum <lucas@lucas-nussbaum.net>:
> On 15/11/07 at 12:37 +0100, Gürkan Sengün wrote:
> > > retitle 362995 ITA: unalz -- The utility used for decompressing alzip
> > > format file
> >
> > Hello
> >
> > Do you still work on this package? What is the status?
>
> Hi Qi,
>
> Have you made some progress on this adoption? (Please don't forget to
> Cc the bug number when you reply)
> --
> | Lucas Nussbaum
> | lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
> | jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |
>


-- 
 LIU Qi

 me@liuqi.org
 liuqi82@gmail.com




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "LIU Qi" <liuqi82@gmail.com>:
Bug#362995; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "LIU Qi" <liuqi82@gmail.com>. Full text and rfc822 format available.

Message #31 received at 362995@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: LIU Qi <liuqi82@gmail.com>
Cc: Gürkan Sengün <gurkan@linuks.mine.nu>, 362995@bugs.debian.org
Subject: Re: Bug#362995: ITA: unalz -- The utility used for decompressing alzip
Date: Wed, 19 Dec 2007 14:29:39 +0100
On 19/12/07 at 20:55 +0800, LIU Qi wrote:
> I have uploaded the package to
> http://mentors.debian.net/debian/pool/main/u/unalz/
> and I need a mentor, but I still can not find one now. :-(

I've had a look at your package. It basically looks fine.
Please:
 - use the Homepage field to report about the upstream homepage.
 - have a look at existing bugs
   #455178: FTBFS with GCC 4.3: missing #includes 
   #453559: unalz: debian/watch fails to report upstream's version
 - see if you can upgrade to policy 3.7.3.
- try to fix this warning:
  dpkg-shlibdeps: warning: debian/unalz/usr/bin/unalz shouldn't be
  linked with libm.so.6 (it uses none of its symbols).
  (hint: -Wl,--as-needed when linking could help)

Also, Gurkan Sengun told me he was interested in co-maintaining this.
Would you like to co-maintain this package with him? He is an
experienced debian maintainer, and it would probably be easier to find
sponsors if he checked the package for problems himself.
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#362995; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "LIU Qi" <liuqi82@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #36 received at 362995@bugs.debian.org (full text, mbox):

From: "LIU Qi" <liuqi82@gmail.com>
To: "Lucas Nussbaum" <lucas@lucas-nussbaum.net>
Cc: "Gürkan Sengün" <gurkan@linuks.mine.nu>, 362995@bugs.debian.org
Subject: Re: Bug#362995: ITA: unalz -- The utility used for decompressing alzip
Date: Wed, 19 Dec 2007 21:55:32 +0800
I will fix these bugs as soon as possible. And I am glad to
co-maintain unalz with Gürkan Sengün. When I finish this package, I
will send it to Gürkan Sengün for advice.

2007/12/19, Lucas Nussbaum <lucas@lucas-nussbaum.net>:
> On 19/12/07 at 20:55 +0800, LIU Qi wrote:
> > I have uploaded the package to
> > http://mentors.debian.net/debian/pool/main/u/unalz/
> > and I need a mentor, but I still can not find one now. :-(
>
> I've had a look at your package. It basically looks fine.
> Please:
>  - use the Homepage field to report about the upstream homepage.
>  - have a look at existing bugs
>    #455178: FTBFS with GCC 4.3: missing #includes
>    #453559: unalz: debian/watch fails to report upstream's version
>  - see if you can upgrade to policy 3.7.3.
> - try to fix this warning:
>   dpkg-shlibdeps: warning: debian/unalz/usr/bin/unalz shouldn't be
>   linked with libm.so.6 (it uses none of its symbols).
>   (hint: -Wl,--as-needed when linking could help)
>
> Also, Gurkan Sengun told me he was interested in co-maintaining this.
> Would you like to co-maintain this package with him? He is an
> experienced debian maintainer, and it would probably be easier to find
> sponsors if he checked the package for problems himself.
> --
> | Lucas Nussbaum
> | lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
> | jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |
>


-- 
 LIU Qi

 me@liuqi.org
 liuqi82@gmail.com




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "LIU Qi" <liuqi82@gmail.com>:
Bug#362995; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mike O'Connor <stew@vireo.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "LIU Qi" <liuqi82@gmail.com>. Full text and rfc822 format available.

Message #41 received at 362995@bugs.debian.org (full text, mbox):

From: Mike O'Connor <stew@vireo.org>
To: LIU Qi <liuqi82@gmail.com>, 362995@bugs.debian.org
Subject: Re: Bug#362995: ITA: unalz -- The utility used for decompressing alzip
Date: Wed, 19 Dec 2007 10:09:55 -0500
[Message part 1 (text/plain, inline)]
On Wed, Dec 19, 2007 at 08:55:46PM +0800, LIU Qi wrote:
> I have uploaded the package to
> http://mentors.debian.net/debian/pool/main/u/unalz/
> and I need a mentor, but I still can not find one now. :-(
> 
> 
LIU,

Here are some things I'd recommend changing:

The copyright holder of debian/unalz.sgml isn't mentioned in debian/copyright

The copyright holders from zlib should appear in debian/copyright.

The homepage should be taken out of the description and put into a
Homepage header in debian/control. [1]

Bump the standards version to 3.7.3. [2]

thanks,
stew

[1] http://wiki.debian.org/DeveloperNews?action=recall&rev=5
[2] see: /usr/share/doc/debian-policy/upgrading-checklist.txt.gz

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "LIU Qi" <liuqi82@gmail.com>:
Bug#362995; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Gürkan Sengün <gurkan@linuks.mine.nu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "LIU Qi" <liuqi82@gmail.com>. Full text and rfc822 format available.

Message #46 received at 362995@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@linuks.mine.nu>
To: "LIU Qi" <liuqi82@gmail.com>
Cc: "Lucas Nussbaum" <lucas@lucas-nussbaum.net>, 362995@bugs.debian.org
Subject: Re: Bug#362995: ITA: unalz -- The utility used for decompressing alzip
Date: Thu, 17 Jan 2008 12:26:04 +0100
On 2007-12-19 14:55:32 +0100 "LIU Qi" <liuqi82@gmail.com> wrote:

Hi Liu

Happy new year!

> I will fix these bugs as soon as possible. And I am glad to
> co-maintain unalz with Gürkan Sengün. When I finish this package, I
> will send it to Gürkan Sengün for advice.

What's the status on this?

Guerkan

> 2007/12/19, Lucas Nussbaum <lucas@lucas-nussbaum.net>:
>> On 19/12/07 at 20:55 +0800, LIU Qi wrote:
>>> I have uploaded the package to
>>> http://mentors.debian.net/debian/pool/main/u/unalz/
>>> and I need a mentor, but I still can not find one now. :-(
>> 
>> I've had a look at your package. It basically looks fine.
>> Please:
>>   - use the Homepage field to report about the upstream homepage.
>>   - have a look at existing bugs
>>     #455178: FTBFS with GCC 4.3: missing #includes
>>     #453559: unalz: debian/watch fails to report upstream's version
>>   - see if you can upgrade to policy 3.7.3.
>> - try to fix this warning:
>>    dpkg-shlibdeps: warning: debian/unalz/usr/bin/unalz shouldn't be
>>    linked with libm.so.6 (it uses none of its symbols).
>>    (hint: -Wl,--as-needed when linking could help)
>> 
>> Also, Gurkan Sengun told me he was interested in co-maintaining this.
>> Would you like to co-maintain this package with him? He is an
>> experienced debian maintainer, and it would probably be easier to find
>> sponsors if he checked the package for problems himself.
>> --
>> | Lucas Nussbaum
>> | lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
>> | jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |
>> 
> 
> 

-- 
while(!asleep()) sheep++;





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "LIU Qi" <liuqi82@gmail.com>:
Bug#362995; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Changwoo Ryu <cwryu@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "LIU Qi" <liuqi82@gmail.com>. Full text and rfc822 format available.

Message #51 received at 362995@bugs.debian.org (full text, mbox):

From: Changwoo Ryu <cwryu@debian.org>
To: 362995@bugs.debian.org
Subject: Re: Bug#362995: ITA: unalz -- The utility used for decompressing
Date: Sat, 08 Mar 2008 13:47:05 +0900
[Message part 1 (text/plain, inline)]
Any progress?

Theres's an GCC4.3 FTBFS bug which can be RC in the near future.


-- 
Changwoo Ryu <cwryu@debian.org>
[signature.asc (application/pgp-signature, inline)]

Owner changed from "LIU Qi" <liuqi82@gmail.com> to Changwoo Ryu <cwryu@debian.org>. Request was from Changwoo Ryu <cwryu@debian.org> to control@bugs.debian.org. (Sat, 15 Mar 2008 15:12:05 GMT) Full text and rfc822 format available.

Reply sent to Changwoo Ryu <cwryu@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Yooseong Yang <yooseong@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #58 received at 362995-close@bugs.debian.org (full text, mbox):

From: Changwoo Ryu <cwryu@debian.org>
To: 362995-close@bugs.debian.org
Subject: Bug#362995: fixed in unalz 0.61-1
Date: Sun, 16 Mar 2008 05:32:03 +0000
Source: unalz
Source-Version: 0.61-1

We believe that the bug you reported is fixed in the latest version of
unalz, which is due to be installed in the Debian FTP archive:

unalz_0.61-1.diff.gz
  to pool/main/u/unalz/unalz_0.61-1.diff.gz
unalz_0.61-1.dsc
  to pool/main/u/unalz/unalz_0.61-1.dsc
unalz_0.61-1_i386.deb
  to pool/main/u/unalz/unalz_0.61-1_i386.deb
unalz_0.61.orig.tar.gz
  to pool/main/u/unalz/unalz_0.61.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 362995@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Changwoo Ryu <cwryu@debian.org> (supplier of updated unalz package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 09 Mar 2008 13:42:27 +0900
Source: unalz
Binary: unalz
Architecture: source i386
Version: 0.61-1
Distribution: unstable
Urgency: low
Maintainer: Changwoo Ryu <cwryu@debian.org>
Changed-By: Changwoo Ryu <cwryu@debian.org>
Description: 
 unalz      - De-archiver for .alz files
Closes: 362995 448590 455178 470095
Changes: 
 unalz (0.61-1) unstable; urgency=low
 .
   * New upstream release. Closes: #448590.
   * New maintainer. Closes: #362995.
   * Add missing include <cstring>. Thanks to Martin Michlmayr for the
     patch.  Closes: #455178.
   * Standards-Version: 3.7.3.
   * UTF-8 encoding default. Closes: #470095.
   * Add Homepage field.
   * Add Vcs-Git and Vcs-Browser fields.
   * Change the short description to a noun phrase, according to the
     developer's reference 6.2.2.
   * Update the option description and correct typos in the man page.
   * Update the unalz copyright.
Files: 
 072e9c832747b9eeb3a38804700b6ed8 733 utils optional unalz_0.61-1.dsc
 842665ebb853438316e459f0d9148bd1 137344 utils optional unalz_0.61.orig.tar.gz
 9f621c241710e3b250e164faae71d9a6 5868 utils optional unalz_0.61-1.diff.gz
 2a9804c58e71465a783dcb72ae5acf6c 44220 utils optional unalz_0.61-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH3KtxAbRzNODUnpkRAnxQAJ9AB3I7Y355SxrATpHP0tYz7tD9LACgm52R
W4j33Xm6lNaeOZynRQ7y7ck=
=8yxY
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Aug 2008 11:20:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:39:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.